summaryrefslogtreecommitdiff
path: root/dev-python/python-swiftclient/python-swiftclient-4.1.0.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-09-02 19:01:48 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-09-02 19:01:48 +0000
commit7c51ac78ed0ac12b4ea6081f3357a0ab5790dead (patch)
tree8c06cdebbb690b96c1c9d2cdbf2caf285b690f99 /dev-python/python-swiftclient/python-swiftclient-4.1.0.ebuild
parentd0e7579a5593a8afdb4cc77f4c72f6e05d82a75f (diff)
downloadbaldeagleos-repo-7c51ac78ed0ac12b4ea6081f3357a0ab5790dead.tar.gz
baldeagleos-repo-7c51ac78ed0ac12b4ea6081f3357a0ab5790dead.tar.xz
baldeagleos-repo-7c51ac78ed0ac12b4ea6081f3357a0ab5790dead.zip
Adding metadata
Diffstat (limited to 'dev-python/python-swiftclient/python-swiftclient-4.1.0.ebuild')
-rw-r--r--dev-python/python-swiftclient/python-swiftclient-4.1.0.ebuild40
1 files changed, 40 insertions, 0 deletions
diff --git a/dev-python/python-swiftclient/python-swiftclient-4.1.0.ebuild b/dev-python/python-swiftclient/python-swiftclient-4.1.0.ebuild
new file mode 100644
index 000000000000..aeb051d1edbf
--- /dev/null
+++ b/dev-python/python-swiftclient/python-swiftclient-4.1.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings to the OpenStack Object Storage API"
+HOMEPAGE="https://launchpad.net/python-swiftclient"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/requests-2.4.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/pbr[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/keystoneauth-3.4.0[${PYTHON_USEDEP}]
+ dev-python/python-keystoneclient[${PYTHON_USEDEP}]
+ >=dev-python/mock-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/openstacksdk-0.11.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+python_prepare_all() {
+ sed -e 's/test_password_prompt/_&/' -i test/unit/test_shell.py || die
+ # fix duplicate script/entry point
+ # https://bugs.launchpad.net/python-swiftclient/+bug/1975361
+ sed -i -e '/bin\/swift/d' setup.cfg || die
+ distutils-r1_python_prepare_all
+}